BN: server
SF: command.c
SN: list of server commands
---
N: ff
P: VSS_READ | VSS_WRITE
D: Jump N seconds forward or backward.
U: ff n[-]
H: This sets the 'R' (reposition request) bit of the vss status flags
H: which enqueues a request to jump n seconds forwards or backwards.
H:
H: Example:
H:
H:	para_client ff 30-
H:
H: jumps 30 seconds backwards.
---
N: help
P: 0
D: Print online help.
U: help [command]
H: Without any arguments, help prints a list of available commands. When
H: called with a command name as first argument, it prints the description
H: of that command.
---
N: hup
P: VSS_WRITE
D: Reload config file, log file and user list.
U: hup
H: Reread the config file and the user list file, close and reopen the log
H: file, and ask the afs process to do the same. Sending the HUP signal to
H: the server process has the same effect.
---
N: jmp
P: VSS_READ | VSS_WRITE
D: Jump to the given position.
U: jmp n
H: Set the 'R' (reposition request) bit of the vss status flags and enqueue a
H: request to jump to n% of the current audio file, where 0 <= n <= 100.
---
N: next
P: VSS_READ | VSS_WRITE
D: Close the current audio file.
U: next
H: Set the 'N' (next audio file) bit of the vss status flags which instructs the
H: server to close its current audio file if necessary. If the 'P' bit (playing)
H: is on, playing continues with the next audio file. This command is equivalent
H: to stop if paused, and has no effect if stopped.
---
N: nomore
P: VSS_READ | VSS_WRITE
D: Stop playing after current audio file.
U: nomore
H: Set the 'O' (no more) bit of the vss status flags which asks para_server to
H: clear the 'P' (playing) bit after the 'N' (next audio file) bit transitions
H: from off to on (because the end of the current audio file is reached). Use this
H: command instead of stop if you don't like sudden endings.
---
N: pause
P: VSS_READ | VSS_WRITE
D: Pause current audio file.
U: pause
H: Clear the 'P' (playing) bit of the vss status flags.
---
N: play
P: VSS_READ | VSS_WRITE
D: Start or resume playing.
U: play
H: Set the 'P' (playing) bit of the vss status flags.
---
N: sender
P: VSS_READ | VSS_WRITE
D: Control paraslash senders.
U: sender [s cmd [arguments]]
H: Send a command to a specific sender. The following commands are available, but
H: not all senders support every command.
H:
H:	help, on, off, add, delete, allow, deny, status.
H:
H: The help command prints the help text of the given sender. If no command is
H: given the list of compiled in senders is shown.
H:
H: Example:
H:
H:	para_client sender http help
---
N: si
P: 0
D: Print server info.
U: si
H: Show server and afs PID, number of connections, uptime and more.
---
N: stat
P: VSS_READ
D: Print information about the current audio file.
U: stat [-n=num] [-p]
H: If -n is given, exit after the status information has been shown n times.
H: Otherwise, the command runs in an endless loop.
H:
H: The -p option activates parser-friendly output: Each status item is
H: prefixed with its size in bytes and the status item identifiers are
H: printed as numerical values.
---
N: stop
P: VSS_READ | VSS_WRITE
D: Stop playing.
U: stop
H: Clear the 'P' (playing) bit and set the 'N' (next audio file) bit of the vss
H: status flags, effectively stopping playback.
---
N: tasks
P: 0
D: List server tasks.
U: tasks
H: For each task, print ID, status and name.
---
N: term
P: VSS_READ | VSS_WRITE
D: Ask the server to terminate.
U: term
H: Shut down the server. Instead of this command, you can also send SIGINT or
H: SIGTERM to the para_server process. It should never be necessary to send
H: SIGKILL.
---
N: version
P: 0
D: Print the git version string of para_server.
U: version
H: Show version and other info.
